-- returns a default local object
function MakeLocale()
    local L = {};
    setmetatable(L, {__index=function(L, key) return key; end;});
    return L;
end

-- loads the localization strings for the given package
function ImportLocale(package, locale)
    if (locale == nil) then
		-- locale = Turbine.Engine.GetLocale(); -- broken
		locale = "en";
		if Turbine.Shell.IsCommand("hilfe") then
			locale = "de";
		elseif Turbine.Shell.IsCommand("aide") then
			locale = "fr";
		elseif Turbine.Shell.IsCommand("") then -- TODO russian version
			locale = "ru";
		end
    end
    pcall(import, ("%s.locale.%s"):format(package, locale));
end

